## org.eclipse.datatools.connectivity.oda.design
Enum ElementNullability

    java.lang.Object
      java.lang.Enum<ElementNullability>
          org.eclipse.datatools.connectivity.oda.design.ElementNullability

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ElementNullability>, org.eclipse.emf.common.util.Enumerator

    public enum ElementNullability

extends java.lang.Enum<ElementNullability>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Element Nullability', and utility methods for working with them. Indicates whether a data element's value can be null.

See Also:
  `DesignPackage.getElementNullability()`

Enum Constant Summary
`NOT_NULLABLE_LITERAL` The 'Not Nullable' literal object.
`NULLABLE_LITERAL` The 'Nullable' literal object.
`UNKNOWN_LITERAL` The 'Unknown' literal object.

Field Summary
`static java.lang.String` `copyright`
`static int` `NOT_NULLABLE` The 'Not Nullable' literal value.
`static int` `NULLABLE` The 'Nullable' literal value.
`static int` `UNKNOWN` The 'Unknown' literal value.
`static java.util.List<ElementNullability>` `VALUES` A public read-only list of all the 'Element Nullability' enumerators.

Method Summary
`static ElementNullability` `get(int value)` Returns the 'Element Nullability' literal with the specified integer value.
`static ElementNullability` `get(java.lang.String literal)` Returns the 'Element Nullability' literal with the specified literal value.
`static ElementNullability` `getByName(java.lang.String name)` Returns the 'Element Nullability' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static ElementNullability` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ElementNullability[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNKNOWN_LITERAL

    public static final ElementNullability UNKNOWN_LITERAL

  The 'Unknown' literal object.

  See Also:
    `UNKNOWN`

### NULLABLE_LITERAL

    public static final ElementNullability NULLABLE_LITERAL

  The 'Nullable' literal object.

  See Also:
    `NULLABLE`

### NOT_NULLABLE_LITERAL

    public static final ElementNullability NOT_NULLABLE_LITERAL

  The 'Not Nullable' literal object.

  See Also:
    `NOT_NULLABLE`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### UNKNOWN

    public static final int UNKNOWN

  The 'Unknown' literal value.

  See Also:
    `UNKNOWN_LITERAL`, Constant Field Values

### NULLABLE

    public static final int NULLABLE

  The 'Nullable' literal value.

  See Also:
    `NULLABLE_LITERAL`, Constant Field Values

### NOT_NULLABLE

    public static final int NOT_NULLABLE

  The 'Not Nullable' literal value.

  See Also:
    `NOT_NULLABLE_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<ElementNullability> VALUES

  A public read-only list of all the 'Element Nullability' enumerators.

Method Detail

### values

    public static final ElementNullability[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ElementNullability c : ElementNullability.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ElementNullability valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static ElementNullability get(java.lang.String literal)

  Returns the 'Element Nullability' literal with the specified literal value.

### getByName

    public static ElementNullability getByName(java.lang.String name)

  Returns the 'Element Nullability' literal with the specified name.

### get

    public static ElementNullability get(int value)

  Returns the 'Element Nullability' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<ElementNullability>`